## im-config 0.43

=== debian/changelog ===
im-config (0.43-1) unstable; urgency=medium

  * Minimal change from the testing 0.39-1 upload aiming for buster release.
  * The slow execution #925160 bug is addressed by disabling useless
    checks by imconfig_find_files_with_prefixpath_glob.
  * The 0.39-1 upload caused regression on the most common Gnome wayland
    system with ibus since Gnome also tries to set up input method.
    This regression is fixed by making 70-im-config and
    im-launch.desktop conditional to the existence of ibus-daemon.
    Closes: #925160
  * The 0.39-1 upload caused another regression of lost $HOME value.
    This regression is fixed by adding HOME to the env command argument
    in im-launch.
  * House keeping to erase conffile introduced by some unstable packages
    using dpkg-maintscript-helper.  Closes: #926016

 -- Osamu Aoki <osamu@debian.org>  Sat, 30 Mar 2019 21:06:10 +0900

im-config (0.42-1) unstable; urgency=medium

  * Better fix to reopened #925160 by:
    - Fix glob to use "*-*-*"
    - Use "emulate -R sh" trick (not script with "find") for zsh
    - Save environment variables to avoid running the problematic 
      slow code twice
    - Check the existence of ibus-daemon to disable 
      systemd.environment-generator script.
    - Separate wayland code from Xsession ones.
    - Move one line code from desktop to separated wayland code.
  * The above combination.  Closes: #925160

 -- Osamu Aoki <osamu@debian.org>  Sat, 30 Mar 2019 00:55:07 +0900

im-config (0.41-1) unstable; urgency=medium

  * Refine environment variable handling.
  * Add autopkgtest.

 -- Osamu Aoki <osamu@debian.org>  Sun, 24 Mar 2019 11:37:32 +0900

im-config (0.40-1) unstable; urgency=medium

  [ YOSHINO Yoshihito ]
  * Speed up by avoid using "find" but work around sddm+zsh
    problem originally reported at Bug#905129.

  [ Osamu Aoki ]
  * Disable im-config for Gnome on wayland by default.
    Closes: #925160, #877312
  * Add im-launch-wayland to simplify code.
  * Avoid running time consuming code section twice.

 -- Osamu Aoki <osamu@debian.org>  Sun, 24 Mar 2019 05:03:35 +0900

im-config (0.39-1) unstable; urgency=medium

  [ YOSHINO Yoshihito ]
  * Support GNOME Wayland with gdm3.

 -- Osamu Aoki <osamu@debian.org>  Sat, 09 Mar 2019 02:09:41 +0900

=== debian/control ===
Source: im-config
Section: x11
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/input-method-team/im-config.git
Vcs-browser: https://salsa.debian.org/input-method-team/im-config

Package: im-config
Architecture: all
Depends: gettext-base, ${misc:Depends}
Recommends: x11-common,
            zenity | kdialog | kde-baseapps-bin (<< 4:16.08.3-2~) | whiptail
Conflicts: im-switch
Provides: im-switch
Description: Input method configuration framework
 im-config package provides the framework to configure and to switch
 the input method on X Window System. This input method is the essential
 mechanism for Japanese, Chinese and Korean (CJK) languages to enter
 their non-ASCII native characters.
 .
 Many modern input methods such as IBus support not only one of these CJK
 languages but support almost all languages simultaneously by
 dynamically switching keyboard modes with GUI helper program.
 .
 By installing this package, the most desirable input method and its
 backend conversion engine are automatically configured with both the X
 Window System Input Method (XIM), GTK+ input method module, Qt input
 method module, and clutter input method module.
 .
 You can further customize your input method with 'im-config' command.

## im-config 0.44

=== Makefile ===
PROGRAM	=	im-config
ifeq ($(wildcard debian/changelog),)
VERSION = VCS-$(shell date -u  +%Y%m%d%H%M)
else
VERSION = $(shell dpkg-parsechangelog --format dpkg|\
		sed -ne '/^Version/s/Version: *//p')
endif

FILES = \
	70-im-config \
	70im-config_launch \
	im-config \
	im-launch \
	share/im-config.common \
	share/xinputrc.common.in \
	$(wildcard data/*.rc) \
	$(wildcard data/*.conf)

PRETESTS = $(addsuffix .pretest, $(FILES))

TESTS = $(addsuffix .test, $(FILES))

# escape  with \#
LANGS = $(shell grep -v '^\#' po/LINGUAS)
POTFILESIN = $(shell grep -v '^\#' po/POTFILES.in)

all: share/xinputrc.common mo

share/xinputrc.common: share/xinputrc.common.in
	sed -e "s/@@VERSION@@/$(VERSION)/" <$< >$@

pot: po/$(PROGRAM).pot

po/$(PROGRAM).pot: FORCE
	xgettext -o $@ --language=Shell $(PROGRAM) $(POTFILESIN)

po/%.po: po/$(PROGRAM).pot
	msgmerge -U $@ $<

po/locale/%/LC_MESSAGES/$(PROGRAM).mo: po/%.po
	mkdir -p po/locale/$*/LC_MESSAGES
	msgfmt -o $@ $<

# run test on all script first
%.pretest: %
	@/bin/sh -n $< ; echo $$? > $@

# stop if error was found
%.test: %.pretest
	@[ `cat $<` = "0" ]

test: $(PRETESTS)
	# check if any syntax check resulted in error
	@$(MAKE) $(TESTS)

mo:	$(addsuffix /LC_MESSAGES/$(PROGRAM).mo, $(addprefix po/locale/, $(LANGS)))

po:	$(addsuffix .po, $(addprefix po/, $(LANGS)))

foo:
	echo "$(addsuffix /LC_MESSAGES/$(PROGRAM).mo, $(addprefix po/locale/, $(LANGS)))"
	echo "-----"
	echo "$(addsuffix .po, $(addprefix po/, $(LANGS)))"

clean:
	-rm -f share/xinputrc.common
	rm -rf po/locale
	rm -f  po/*.po~ po/*.mo
	-rm -f $(PRETESTS)
	-rm -f $(TESTS)

distclean: clean

# Use this target on devel branch source
package:
	debmake -t -y -zx -b':sh' -i pdebuild

update:
	touch -t 200001010000 po/*.po
	$(MAKE) po
	$(MAKE) clean

.PHONY: all pot distclean clean mo update po test FORCE

=== debian/changelog ===
im-config (0.44-1ubuntu1.3) focal; urgency=medium

  * d/p/back-off-if-ibus-on-gnome.patch:
    - Let im-config back off also if IBus on Budgie (LP: #1901460)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 28 Oct 2020 17:33:15 +0100

im-config (0.44-1ubuntu1.2) focal; urgency=medium

  * d/p/back-off-if-ibus-on-gnome.patch:
    - Let im-config back off if IBus on GNOME desktop (LP: #1893551)
  * d/p/make-usable-on-wayland.patch, d/README.Debian, d/install:
    - Use im-config on Wayland without uninstalling IBus (LP: #1893552)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 03 Sep 2020 19:55:00 +0200

im-config (0.44-1ubuntu1.1) focal; urgency=medium

  * debian/rules:
    - Don't show .desktop icon in Ubuntu (LP: #1885744)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 30 Jun 2020 18:37:00 +0200

im-config (0.44-1ubuntu1) focal; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - d/maintscript: Remove /etc/profile.d/input-method-config.sh
    - d/p/01-ubuntu-default-mode.patch
    - d/p/reverse-Remove-imconfig_find_files_with_prefixpath_glob.patch
  * d/p/reverse-Remove-imconfig_find_files_with_prefixpath_glob.patch:
    - Reverse new approach for setting env variables
    
 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 25 Mar 2020 22:44:00 +0100

im-config (0.44-1) unstable; urgency=medium

  * Clean up imconfig_find_files_with_prefixpath_glob.

  [ Boyuan Yang ]
  * Add initial configuration data for fcitx5 support.

  [ Gunnar Hjalmarsson ]
  * im-launch.1: Fix a typo in the man page. (LP: #1851997)
  * xinputrc.common.in: Use LC_ALL=C for dpkg-query to ensure
    English output. (LP: #1847618)

 -- Osamu Aoki <osamu@debian.org>  Wed, 25 Mar 2020 10:11:29 +0900

im-config (0.43-1ubuntu3) eoan; urgency=medium

  * debian/patches/01-ubuntu-default-mode.patch:
    - Set "auto" for UKUI.
    - Drop special case for GNOME-Flashback - it's GNOME now.
  * debian/rules:
    - Show .desktop icon in Lubuntu.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 09 Jul 2019 18:35:00 +0200

im-config (0.43-1ubuntu2) eoan; urgency=medium

  * debian/patches/use-distinguishable-abstract-address.patch:
    - Dropped; this is now done via an ibus patch instead.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 25 Apr 2019 22:54:00 +0200

im-config (0.43-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - debian/maintscript: Remove /etc/profile.d/input-method-config.sh
    - debian/patches/01-ubuntu-default-mode.patch
    - debian/patches/use-distinguishable-abstract-address.patch
  * Ubuntu methods for launching im-config dropped:
    - /usr/lib/systemd/user-environment-generators/70-im-config is now
      used to trigger im-config, and since it works for us, the
      alternative Ubuntu files debian/user/im-config.service and
      debian/input-method-config.sh are no longer needed.
  * debian/maintscript:
    - Remove /etc/profile.d/input-method-config.sh
  * debian/patches/dont-start-ibus-if-gdm3.patch:
    - Dropped; it was a hack which seems not to be needed any longer.
  * debian/patches/dont-set-GTK_IM_MODULE-on-wayland.patch:
    - Dropped; im-config is now completely disabled if Ubuntu on
      Wayland.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 25 Apr 2019 06:28:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: im-config
 Section: x11
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper (>= 11~)
 Standards-Version: 4.2.0

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_install:
	dh_install
	# Adjust Desktop menu for Ubuntu.
	if dpkg-vendor --is ubuntu; then \
		echo "OnlyShowIn=KDE;LXQt;" >> debian/im-config/usr/share/applications/im-config.desktop ;\
	fi

## im-config 0.45

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif
 
 FILES = \
-	70-im-config \
+	im-config_wayland.sh \
 	70im-config_launch \
 	im-config \
 	im-launch \
@@ -48,10 +48,14 @@
 # stop if error was found
 %.test: %.pretest
 	@[ `cat $<` = "0" ]
+	-touch $@
 
-test: $(PRETESTS)
+test:
 	# check if any syntax check resulted in error
+	@$(MAKE) $(PRETESTS)
 	@$(MAKE) $(TESTS)
+	-rm -f $(TESTS)
+	-rm -f $(PRETESTS)
 
 mo:	$(addsuffix /LC_MESSAGES/$(PROGRAM).mo, $(addprefix po/locale/, $(LANGS)))
 
@@ -64,6 +68,7 @@
 
 clean:
 	-rm -f share/xinputrc.common
+	-rm -f default/im-config
 	rm -rf po/locale
 	rm -f  po/*.po~ po/*.mo
 	-rm -f $(PRETESTS)

=== debian/changelog ===
im-config (0.45-1ubuntu1) groovy; urgency=medium

  * debian/patches/drop-KDE-and-XFCE-from-cjkv.patch:
    - Xubuntu does not ship any IM framework on the ISO, and Kubuntu
      will stop shipping ibus in 20.10.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 16 Sep 2020 12:52:00 +0200

im-config (0.45-1) unstable; urgency=medium

  [ Gunnar Hjalmarsson ]
  * default/im-config:
    - Fcitx not preferred for Chinese on GNOME
    - cjkv default mode for some Ubuntu flavors
  * Use im-config on Wayland without uninstalling IBus
  * Added some lintian-overrides
  * debian/control:
    - Rules-Requires-Root field added
    - Bumped debhelper-compat to 13
  * data/50_hangul.conf, data/50_hangul.rc:
    - Dropped - related packages removed from archive (closes: #961192)
  * debian/rules:
    - Don't show .desktop icon in Ubuntu

  [ Changwoo Ryu ]
  * Replace GTK+ with GTK; the upstream changed the name

  [ Osamu Aoki ]
  * Keep API constant while adjusting GUI for number of IMs.
  * Refactor and generalize desktop detection code by Gunnar
    and add "turn-off hook scripts" based on desktop for ibus.
  * default/im-config: Use simple assignments and introduce a new
    variables CJKV_LOCALES and DESKTOP_SETUP_IBUS.
  * Keep customization for the distribution within package build process.
  * Stabilize menu order.
  * Update README.Debian.

 -- Osamu Aoki <osamu@debian.org>  Sat, 08 Aug 2020 20:49:28 +0900

im-config (0.44.1-1) unstable; urgency=medium

  * Team upload.
  * data/23_fcitx5.conf: Also mention kde-config-fcitx5 for graphical
    configuration support.
  * po/: Refresh translation files.
  * debian/changelog: Remove trailing spaces.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump dehelper compat to v12.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Apr 2020 10:05:49 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.2.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://salsa.debian.org/input-method-team/im-config
 Vcs-Git: https://salsa.debian.org/input-method-team/im-config.git
 Vcs-browser: https://salsa.debian.org/input-method-team/im-config
 
@@ -28,7 +30,7 @@
  .
  By installing this package, the most desirable input method and its
  backend conversion engine are automatically configured with both the X
- Window System Input Method (XIM), GTK+ input method module, Qt input
+ Window System Input Method (XIM), GTK input method module, Qt input
  method module, and clutter input method module.
  .
  You can further customize your input method with 'im-config' command.

## im-config 0.46

=== Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 
 # Use this target on devel branch source
 package:
-	debmake -t -y -zx -b':sh' -i pdebuild
+	debmake -t -y -zx -b':sh' -i "pdebuild && dpkg-buildpackage -S -d"
 
 update:
 	touch -t 200001010000 po/*.po

=== debian/changelog ===
im-config (0.46-1) unstable; urgency=medium

  * Team upload
  * default/im-config-Ubuntu:
    - Drop KDE and XFCE from the CJKV_DEFAULT_DESKTOP list
  * Drop the Budgie exception (closes: #972600)
  * Drop obsolete qt4 support (translation files updated accordingly)
  * Bump Standards-Version to 4.5.1
  * Tweak of lintian-overrides
  * Drop redundant references to X
  * Don't start new process via '&' when launching fcitx or fcitx5
    (closes: #977476)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 18 Dec 2020 10:38:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: im-config
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/input-method-team/im-config
 Vcs-Git: https://salsa.debian.org/input-method-team/im-config.git
-Vcs-browser: https://salsa.debian.org/input-method-team/im-config
+Vcs-Browser: https://salsa.debian.org/input-method-team/im-config
 
 Package: im-config
 Architecture: all
@@ -20,9 +19,9 @@
 Provides: im-switch
 Description: Input method configuration framework
  im-config package provides the framework to configure and to switch
- the input method on X Window System. This input method is the essential
- mechanism for Japanese, Chinese and Korean (CJK) languages to enter
- their non-ASCII native characters.
+ the input method. This input method is the essential mechanism for
+ Japanese, Chinese and Korean (CJK) languages to enter their non-ASCII
+ native characters.
  .
  Many modern input methods such as IBus support not only one of these CJK
  languages but support almost all languages simultaneously by

## im-config 0.47.1

=== debian/changelog ===
im-config (0.47.1-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Tue, 20 Jul 2021 16:09:59 +0800

im-config (0.47-1) experimental; urgency=medium

  * Team upload
  * Bug script tweaks

  [ Shengjing Zhu ]
  * Change IM_MODULE env for fcitx5 to "fcitx" (closes: #977203,
    LP: #1928360)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 07 Jun 2021 09:38:38 +0200

## im-config 0.50

=== debian/changelog ===
im-config (0.50-2ubuntu22.04.1) jammy; urgency=medium

  * Set GTK_IM_MODULE in Ubuntu on Xorg sessions (LP: #2007379)

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 15 Feb 2023 12:52:03 +0100

im-config (0.50-2) unstable; urgency=medium

  * Team upload
  * Make the master branch in sync with devel
    - Correction only in master, no change in the devel branch.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 21 Jan 2022 22:18:48 +0100

im-config (0.50-1) unstable; urgency=medium

  * Team upload

  [ Boyuan Yang ]
  * po/zh_CN.po: minor update

  [ Gunnar Hjalmarsson ]
  * Dropped d/watch lintian override (unused since lintian 2.112.0)
  * d/copyright: Bump copyright year
  * Hide im-config from AppStream (closes: #999809)
  * Add translations to .desktop via Makefile instead of d/rules
  * Imported translations from Launchpad
  * im-launch.desktop: Add "NoDisplay=true" to hide it in menus etc.
  * Replace "cjkv" with "auto" for LXQt on Ubuntu
    - With this change Ubuntu uses exactly the same version of
      /etc/default/im-config as Debian.
  * Drop unused "spelling-error-in-readme-debian" lintian-overrides

  [ Osamu Aoki ]
  * Update document (closes: #1001196)
  * Test build with sbuild.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 17 Jan 2022 20:01:56 +0100

im-config (0.49-1) unstable; urgency=medium

  * Team upload

  [ Osamu Aoki ]
  * Add autopkgtest.

  [ Gunnar Hjalmarsson ]
  * im-config_wayland.sh:
    - Make script safe when sourced with -e option (LP: #1947670)
  * Translate im-config.desktop via PO files (closes: #916512)
  * Add support for dh_translations on Ubuntu
  * debian/control:
    - Change Section from "x11" to "utils"
    - Bump Standards-Version to 4.6.0
  * Very small PO files added for cs, da, fr, vi and zh_HK to
    preserve the previous direct translations in the .desktop file.
  * Add "Restrictions: superficial" to debian/tests/control

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 16 Nov 2021 10:53:48 +0100

im-config (0.48-1) unstable; urgency=medium

  * Team upload
  * Replace "fcitx" with "fcitx5" in IM_CONFIG_PREFERRED_RULE variable
    (closes: #990742)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 16 Aug 2021 22:45:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: im-config
-Section: x11
+Section: utils
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13),
+# gnome-pkg-tools pulls dh-translations on Ubuntu
+               gnome-pkg-tools,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/input-method-team/im-config
 Vcs-Git: https://salsa.debian.org/input-method-team/im-config.git

## im-config 0.50.2

=== debian/changelog ===
im-config (0.50.2-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Wed, 25 May 2022 13:48:49 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: im-config
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
 # gnome-pkg-tools pulls dh-translations on Ubuntu
                gnome-pkg-tools,
 Standards-Version: 4.6.0

## im-config 0.52

=== debian/changelog ===
im-config (0.52-1) unstable; urgency=medium

  * Team upload

  [ Gunnar Hjalmarsson ]
  * Add SDL_IM_MODULE to fcitx4 and fcitx5 (closes: #1008481)
  * d/copyright: Bump copyright year
  * Reverse "Set GTK_IM_MODULE in GNOME on Xorg sessions"
  * Bump Standards-Version to 4.6.1
  * Add basic debian/gbp.conf

  [ Osamu Aoki ]
  * Update package list and documentation
  * Update PO files
  * Add link to SDL_IM_MODULE
  * Add URL link to wiki

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 03 Jun 2022 20:57:40 +0200

im-config (0.51-1) unstable; urgency=medium

  * Team upload
  * Set GTK_IM_MODULE in GNOME on Xorg sessions
    - Closes: #1009996, LP: #1969637

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Wed, 27 Apr 2022 12:09:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders: Osamu Aoki <osamu@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 # gnome-pkg-tools pulls dh-translations on Ubuntu
                gnome-pkg-tools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/input-method-team/im-config
 Vcs-Git: https://salsa.debian.org/input-method-team/im-config.git

## im-config 0.55

=== debian/changelog ===
im-config (0.55-2) unstable; urgency=medium

  * systemd boot compatible Exec line in im-launch.desktop
    - Fixes issue with the IM framework not being started automatically
      when logging in to a Plasma (Wayland) session (closes: #1033097).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 20 Mar 2023 11:47:27 +0100

im-config (0.55-1) unstable; urgency=medium

  * Set GTK_IM_MODULE in GNOME on Xorg sessions (closes: #1031227)
  * Set Multi-Arch: foreign

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 13 Feb 2023 17:54:47 +0100

im-config (0.54-1) unstable; urgency=medium

  * Modify condition for setting STARTUP variable (closes: #1028071)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 06 Jan 2023 23:28:39 +0100

im-config (0.53-1) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2
  * d/copyright: Bump copyright year

  [ chenshijie ]
  * Don’t set the STARTUP variable unnecessarily in wayland sessions

  [ Janitor ]
  * debian/maintscript: Remove item no longer needed

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Tue, 03 Jan 2023 22:34:44 +0100

im-config (0.52-2) unstable; urgency=medium

  * d/control: Add Gunnar Hjalmarsson to "Uploaders"
  * Delete d/watch to prevent uscan from being triggered unnecessarily

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 11 Nov 2022 01:19:32 +0100

## im-config 0.57

=== Makefile ===
--- 
+++ 
@@ -24,15 +24,19 @@
 LANGS = $(shell grep -v '^\#' po/LINGUAS)
 POTFILESIN = $(shell grep -v '^\#' po/POTFILES.in)
 
-all: share/xinputrc.common mo
+all: share/xinputrc.common im-config.desktop mo
 
 share/xinputrc.common: share/xinputrc.common.in
 	sed -e "s/@@VERSION@@/$(VERSION)/" <$< >$@
 
+im-config.desktop: im-config.desktop.in
+	msgfmt --desktop --template=$< -d po -o $@
+
 pot: po/$(PROGRAM).pot
 
 po/$(PROGRAM).pot: FORCE
-	xgettext -o $@ --language=Shell $(PROGRAM) $(POTFILESIN)
+	xgettext -o $@ --language=Shell $(POTFILESIN)
+	xgettext --join-existing -o $@ im-config.desktop.in
 
 po/%.po: po/$(PROGRAM).pot
 	msgmerge -U $@ $<
@@ -69,6 +73,7 @@
 clean:
 	-rm -f share/xinputrc.common
 	-rm -f default/im-config
+	-rm -f im-config.desktop
 	rm -rf po/locale
 	rm -f  po/*.po~ po/*.mo
 	-rm -f $(PRETESTS)
@@ -78,7 +83,7 @@
 
 # Use this target on devel branch source
 package:
-	debmake -t -y -zx -b':sh' -i "pdebuild && dpkg-buildpackage -S -d"
+	debmake -t -y -zx -b':sh' -i sbuild
 
 update:
 	touch -t 200001010000 po/*.po

=== debian/changelog ===
im-config (0.57-2) unstable; urgency=medium

  * Upload to unstable
    - With this we stop im-config from setting GTK_IM_MODULE in GNOME
      on Xorg sessions also in unstable/trixie, which is fine since
      gnome-settings-daemon > 44 is on its way to unstable
      (closes: #1031901).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 20 Jul 2023 21:31:52 +0200

im-config (0.57-1) experimental; urgency=medium

  * systemd boot compatible Exec line in im-launch.desktop
    - Fixes issue with the IM framework not being started automatically
      when logging in to a Plasma (Wayland) or Kubuntu (Wayland)
      session (closes: #1033097).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Mon, 20 Mar 2023 10:40:19 +0100

im-config (0.56-1) experimental; urgency=medium

  * Stop (again) im-config from setting GTK_IM_MODULE in GNOME on Xorg
    - To be consistent with gnome-settings-daemon >= 44
      (closes: #1031901).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 10 Mar 2023 23:48:22 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
-Uploaders: Osamu Aoki <osamu@debian.org>
+Uploaders: Gunnar Hjalmarsson <gunnarhj@debian.org>, Osamu Aoki <osamu@debian.org>
 Build-Depends: debhelper-compat (= 13),
 # gnome-pkg-tools pulls dh-translations on Ubuntu
                gnome-pkg-tools,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://salsa.debian.org/input-method-team/im-config
 Vcs-Git: https://salsa.debian.org/input-method-team/im-config.git
@@ -14,6 +14,7 @@
 
 Package: im-config
 Architecture: all
+Multi-Arch: foreign
 Depends: gettext-base, ${misc:Depends}
 Recommends: x11-common,
             zenity | kdialog | kde-baseapps-bin (<< 4:16.08.3-2~) | whiptail

=== debian/rules ===
#!/usr/bin/make -f

DH_FLAGS =

# Ubuntu language pack support (dh_translations)
ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
	DH_FLAGS += --with translations
endif

%:
	dh $@ $(DH_FLAGS)

override_dh_auto_build:
	dh_auto_build
	# Adjust default/im-config
	if dpkg-vendor --is ubuntu; then \
		cp default/im-config-Ubuntu default/im-config ; \
	else \
		cp default/im-config-Debian default/im-config ; \
	fi

override_dh_install:
	dh_install
	# Adjust Desktop menu for Ubuntu.
	if dpkg-vendor --is ubuntu; then \
		echo "OnlyShowIn=KDE;LXQt;" >> debian/im-config/usr/share/applications/im-config.desktop ;\
	fi

override_dh_translations:
	dh_translations --domain=im-config

=== debian/tests/control ===
Tests: check-script
Depends: @
Restrictions: superficial

## im-config 0.58

=== Makefile ===
--- 
+++ 
@@ -22,7 +22,6 @@
 
 # escape  with \#
 LANGS = $(shell grep -v '^\#' po/LINGUAS)
-POTFILESIN = $(shell grep -v '^\#' po/POTFILES.in)
 
 all: share/xinputrc.common im-config.desktop mo
 
@@ -31,15 +30,6 @@
 
 im-config.desktop: im-config.desktop.in
 	msgfmt --desktop --template=$< -d po -o $@
-
-pot: po/$(PROGRAM).pot
-
-po/$(PROGRAM).pot: FORCE
-	xgettext -o $@ --language=Shell $(POTFILESIN)
-	xgettext --join-existing -o $@ im-config.desktop.in
-
-po/%.po: po/$(PROGRAM).pot
-	msgmerge -U $@ $<
 
 po/locale/%/LC_MESSAGES/$(PROGRAM).mo: po/%.po
 	mkdir -p po/locale/$*/LC_MESSAGES

=== po/Makefile ===
# To be run when files with translatable strings have changed.
# Navigate to the po/ directory and run "make im-config.pot"
# etc. as appropriate.
#
# The make and gettext packages need bo be installed.

POTFILESIN = $(shell grep -v '^\#' POTFILES.in)

im-config.pot:
	if (-f $@); then \
		echo "make: '$@' is up to date."; \
	else \
		make im-config.pot-update; \
	fi

im-config.pot-update:
	cd ..; xgettext -o po/im-config.pot --language=Shell $(POTFILESIN); \
	       xgettext --join-existing -o po/im-config.pot im-config.desktop.in

update-po:
	make im-config.pot-update
	for PO in *.po; do \
		msgmerge -U --backup=off $$PO im-config.pot; \
	done

=== debian/changelog ===
im-config (0.58-1) unstable; urgency=medium

  [ Gunnar Hjalmarsson ]
  * Update POT and PO files manually only
    - Fixes failure to build twice (closes: #1048552).
  * Fix typo in im-config.8 (LP: #2032182)

  [ Boyuan Yang ]
  * Use README.Debian instead of README.Debian.gz across the scripts.
    (Closes: #1121421)
  * Update package uploaders list:
    - Drop retired Gunnar Hjalmarsson. Thanks for your work.
    + Add myself into the uploaders list.

 -- Boyuan Yang <byang@debian.org>  Thu, 27 Nov 2025 20:01:37 -0500

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,6 @@
 
 override_dh_translations:
 	dh_translations --domain=im-config
+
+override_dh_compress:
+	dh_compress --exclude=README.Debian
